{% load_banners position: position %}

{% if loaded_banners.size > 0 %}

  <section class="section section-icons-vertical" data-icons-vertical>
    <div class="container">
      <div class="swiper">
        <div class="swiper-wrapper">
          {% for banner in loaded_banners %}

            {% assign imageless = '-imageless' %}
            {% if banner.file_url != blank %}
              {% assign imageless = '' %}
            {% endif %}

            <div class="swiper-slide {{ imageless }}">
              {% if banner.url != blank %}
                <a aria-label="Acessar a página {{ banner.url }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
              {% endif %}
             
              {% if banner.file_url != blank %}
                <figure class="image-icon">
                  <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '50x' }}" alt="{{ banner.title }}"/>
                </figure>
              {% endif %}

              {% if banner.subtitle != blank or banner.description != blank %}
                <div class="text">
                  {% if banner.subtitle != blank %}
                    <h3 class="icon-title">{{ banner.subtitle }}</h3>
                  {% endif %}
                  <p>{{ banner.description | strip_html }}</p>
                </div>
              {% endif %}

              {% if banner.url != blank %}
                </a>
              {% endif %}
               
            </div>
          {% endfor %}
        </div>
        <div class="swiper-pagination"></div>
      </div>
    </div>
  </section>
{% endif %}
